<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="robots" content="noindex">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

    <title>{{{title}}}</title>
    {{#absoluteUrl}}
    <meta property="og:title" content="{{{title}}}" />
    <meta property="og:type" content="website" />
    <meta property="og:image" content="{{{absoluteUrl}}}/featured-slide.jpg" />
    <meta property="og:url" content="{{{absoluteUrl}}}" />
    {{/absoluteUrl}}
    <link rel="stylesheet" href="module/reveald3/demo/reveal.js/css/custom-gc.css" />
    <link rel="stylesheet" href="module/reveal.js-plugins/spreadsheet/spreadsheet.css">
    <!-- commented script calls moved to markdown header -->
    <!-- <script src="module/reveal.js-plugins/spreadsheet/ruleJS.all.full.min.js"></script>  -->
    <link rel="stylesheet" href="module/reveal-a11y/accessibility/helper.css">
    <link rel="shortcut icon" href="{{{base}}}/favicon.ico"/>
    <link rel="stylesheet" href="{{{base}}}/dist/reveal.css" />
    <link rel="stylesheet" href="{{{themeUrl}}}" id="theme" />
    <link rel="stylesheet" href="{{{base}}}{{{highlightThemeUrl}}}" />
    {{#cssPaths}}
    <link rel="stylesheet" href="{{{base}}}/{{{.}}}" />
    {{/cssPaths}}

    {{#watch}}
    <script>
      document.write('<script src="http://' + (location.host || 'localhost').split(':')[0] + ':35729/livereload.js?snipver=1"></' + 'script>');
    </script>
    {{/watch}}
  </head>
  <body>
    <div class="reveal">
      <div class="slides">{{{slides}}}</div>
    </div>

    <script src="{{{base}}}/dist/reveal.js"></script>

    <script src="{{{base}}}/plugin/markdown/markdown.js"></script>
    <script src="{{{base}}}/plugin/highlight/highlight.js"></script>
    <script src="{{{base}}}/plugin/zoom/zoom.js"></script>
    <script src="{{{base}}}/plugin/notes/notes.js"></script>
    <script src="{{{base}}}/plugin/math/math.js"></script>
    <script src="module/reveal-helpbutton/helpbutton.js"></script>

    <script>
      function extend() {
        var target = {};
        for (var i = 0; i < arguments.length; i++) {
          var source = arguments[i];
          for (var key in source) {
            if (source.hasOwnProperty(key)) {
              if(Array.isArray(target[key])){
                target[key] = target[key].concat(source[key]);
              }
              else{
                target[key] = source[key];
              }
            }
          }
        }
        return target;
      }

      // Optional libraries used to extend on reveal.js
      var deps = [
        { src: '{{{base}}}/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector('[data-markdown]'); } },
        { src: '{{{base}}}/plugin/highlight/highlight.js', async: true },
        { src: '{{{base}}}/plugin/zoom/zoom.js', async: true },
        { src: '{{{base}}}/plugin/notes/notes.js', async: true },
        { src: '{{{base}}}/plugin/math/math.js', async: true },
        /// commented deps moved to markdown header
        // { src: '{{{base}}}/module/reveal.js-plugins/chart/Chart.min.js' },				
	      // { src: '{{{base}}}/module/reveal.js-plugins/chart/csv2chart.js' }
        // { src: 'module/reveal.js-plugins//spreadsheet/spreadsheet.js' },
        // { src: 'module/reveal-a11y/accessibility/helper.js', async: true, condition: function() { return !!document.body.classList; } },
      ];

      // default options to init reveal.js
      var defaultOptions = {
        controls: true,
        progress: true,
        history: true,
        center: true,
        transition: 'default', // none/fade/slide/convex/concave/zoom
        dependencies: deps,
        // chart: {
        //   defaults: {
        //     global: {
        //       title: { fontColor: "#FFF" },
        //       legend: {
        //         labels: { fontColor: "#FFF" },
        //       },
        //     },
        //     scale: {
        //       scaleLabel: { fontColor: "#FFF" },
        //       gridLines: { color: "#FFF", zeroLineColor: "#FFF" },
        //       ticks: { fontColor: "#FFF" },
        //     }
        //   },
        //   line: { borderColor: ["rgba(20,220,220,.8)", "rgba(220,120,120,.8)", "rgba(20,120,220,.8)"], "borderDash": [[5, 10], [0, 0]] },
        //   bar: { backgroundColor: ["rgba(20,220,220,.8)", "rgba(220,120,120,.8)", "rgba(20,120,220,.8)"] },
        //   pie: { backgroundColor: [["rgba(0,0,0,.8)", "rgba(220,20,20,.8)", "rgba(20,220,20,.8)", "rgba(220,220,20,.8)", "rgba(20,20,220,.8)"]] },
        //   radar: { borderColor: ["rgba(20,220,220,.8)", "rgba(220,120,120,.8)", "rgba(20,120,220,.8)"] },
        // }
        // spreadsheet: {
        //   // fontsize: 24,
        //   width: 150,
        //   delimiter: ",",
        //   precision: 4 // the maximum number of digits after the comma
        // },
        plugins: [
          RevealMarkdown,
          RevealHighlight,
          RevealZoom,
          RevealNotes,
          RevealMath,
          HelpButton
        ],
        helpButtonDisplay: 'always',
      };

      // options from URL query string
      var queryOptions = Reveal().getQueryHash() || {};

      var options = extend(defaultOptions, {{{revealOptionsStr}}}, queryOptions);
    </script>

    {{#scriptPaths}}
    <script src="{{{base}}}/{{{.}}}"></script>
    {{/scriptPaths}}

    <script>
      Reveal.initialize(options);
    </script>
  </body>
</html>
